{
	"name": "form/nc/erp-sync/column/company-customer.json",
	"option": {
		"cell_class_rules": {
			"nc-grid-cell-changed": "data.link_rec && recDataDifferent(data.link_rec, colDef, x)"
		},
		"grid_option": {
			"row_class_rules": {
				"nc-grid-row-changed": "data.change_status == 'changed'",
				"nc-grid-row-deleted": "data.change_status == 'deleted'",
				"nc-grid-row-equal": "data.change_status == 'equal'",
				"nc-grid-row-new": "data.change_status == 'new'"
			}
		}
	},
	"column": [
		{
			"icon": "nc-link-icon",
			"link_field": "co.company_id",
			"name": "Row",
			"record_type": "company",
			"variable": "idx"
		},
		{
			"export": false,
			"name": "Status",
			"variable": "change_status",
			"editable": false,
			"width": 60
		},
		{
			"export": false,
			"name": "Change field",
			"variable": "change_field",
			"editable": false,
			"width": 130
		},
		{
			"field": "co.company_id",
			"name": "Company id",
			"width": 100
		},
		{
			"field": "co.json_data.transfer_id",
			"name": "Moloni Id",
			"width": 80
		},
		{
			"field": "co.name",
			"name": "Name",
			"width": 200
		},
		{
			"field": "co.name_2",
			"name": "Name 2",
			"width": 140
		},
		{
			"field": "co.record_id",
			"name": "Record id",
			"width": 130
		},
		{
			"field": "co.modify_id",
			"name": "Modify id",
			"width": 130
		},
		{
			"field": "co.email",
			"name": "Email",
			"width": 250
		},
		{
			"field": "co.www",
			"name": "Www",
			"width": 250
		},
		{
			"field": "top.net_days",
			"name": "Payment day",
			"width": 120
		},
		{
			"field": "co.phone",
			"name": "Phone",
			"width": 120
		},
		{
			"field": "co.json_data.fax_number",
			"name": "Fax",
			"width": 120
		},
		{
			"field": "co.info",
			"name": "Info",
			"width": 300
		},
		{
			"import": false,
			"variable": "co.json_data",
			"name": "Data",
			"width": 4000
		},
		{
			"change_compare": false,
			"field": "co.record_id",
			"hide": true,
			"name": "Record id",
			"width": 110
		}
	],
	"columns_not_in_use": [
		{
			"field": "co.modifier_id",
			"name": "Muuttaja",
			"width": 90
		}
	]
}
